This repository has been archived by the owner. It is now read-only.

drizzle fails to compile: mountain lion #14289

Closed
ghost opened this Issue Aug 19, 2012 · 15 comments

Comments

Projects
None yet
4 participants

ghost commented Aug 19, 2012

config.log & stdout: https://gist.github.com/3395900

@2bits

This comment has been minimized.

Show comment Hide comment
@2bits

2bits Aug 20, 2012

Contributor

I guess it's broken with boost-1.50.0. Those symbols are missing on my build also, even if I try boost --with-icu.

Contributor

2bits commented Aug 20, 2012

I guess it's broken with boost-1.50.0. Those symbols are missing on my build also, even if I try boost --with-icu.

@2bits

This comment has been minimized.

Show comment Hide comment
@2bits

2bits Aug 21, 2012

Contributor

What I meant was that it found the library ok, but it doesn't find the symbols within the libaray, meaning that the boost developers might have removed them in version 1.50.

Contributor

2bits commented Aug 21, 2012

What I meant was that it found the library ok, but it doesn't find the symbols within the libaray, meaning that the boost developers might have removed them in version 1.50.

@2bits

This comment has been minimized.

Show comment Hide comment
@2bits

2bits Aug 22, 2012

Contributor

Using the command

brew versions boost

You may be able to choose an earlier version and decide to try that. They may already be aware of this upstream. I forgot to look.

Contributor

2bits commented Aug 22, 2012

Using the command

brew versions boost

You may be able to choose an earlier version and decide to try that. They may already be aware of this upstream. I forgot to look.

This comment has been minimized.

Show comment Hide comment
@ghost

ghost Aug 22, 2012

@2bits it works with boost 1.49.0

ghost commented Aug 22, 2012

@2bits it works with boost 1.49.0

@mxcl

This comment has been minimized.

Show comment Hide comment
@mxcl

mxcl Aug 22, 2012

Member

We could certainly use the ability to have formula `depends_on "boost == 1.49.0", etc.

/cc @MikeMcQuaid any chance the bottle has missing symbols, yada, yada.

Member

mxcl commented Aug 22, 2012

We could certainly use the ability to have formula `depends_on "boost == 1.49.0", etc.

/cc @MikeMcQuaid any chance the bottle has missing symbols, yada, yada.

@MikeMcQuaid

This comment has been minimized.

Show comment Hide comment
@MikeMcQuaid

MikeMcQuaid Aug 22, 2012

Owner

Yeh, it's Boost 1.50.0. Just need to shout at and/or patch drizzle so it works.

Owner

MikeMcQuaid commented Aug 22, 2012

Yeh, it's Boost 1.50.0. Just need to shout at and/or patch drizzle so it works.

@2bits

This comment has been minimized.

Show comment Hide comment
@2bits

2bits Aug 22, 2012

Contributor

Boost 1.51 is out I guess if you have time for it.
Aweseome @Hydra5

Contributor

2bits commented Aug 22, 2012

Boost 1.51 is out I guess if you have time for it.
Aweseome @Hydra5

This comment has been minimized.

Show comment Hide comment
@ghost

ghost Aug 22, 2012

@2bits 1.51 doesn't work. I've tried it.

ghost commented Aug 22, 2012

@2bits 1.51 doesn't work. I've tried it.

@adamv

This comment has been minimized.

Show comment Hide comment
@adamv

adamv Oct 2, 2012

Contributor

Since the gist was deleted, here's the configure failure:

checking if boost is recent enough... yes
checking for libc... (cached) no
checking for libboost_program_options-mt... yes
checking how to link with libboost_program_options-mt... -lboost_program_options-mt
checking for libc... (cached) no
checking for libboost_thread-mt... no
checking for libboost_thread... no
configure: error: boost::thread is required for drizzle
Error: Failure while executing: ./configure --disable-dependency-tracking --prefix=/usr/local/homebrew/Cellar/drizzle/7.1.36
Contributor

adamv commented Oct 2, 2012

Since the gist was deleted, here's the configure failure:

checking if boost is recent enough... yes
checking for libc... (cached) no
checking for libboost_program_options-mt... yes
checking how to link with libboost_program_options-mt... -lboost_program_options-mt
checking for libc... (cached) no
checking for libboost_thread-mt... no
checking for libboost_thread... no
configure: error: boost::thread is required for drizzle
Error: Failure while executing: ./configure --disable-dependency-tracking --prefix=/usr/local/homebrew/Cellar/drizzle/7.1.36

This comment has been minimized.

Show comment Hide comment
@ghost

ghost Oct 25, 2012

I sent ticket upstream, still waiting for all issues to resolve, supposedly it got solved in 7.2 (development branch) but then when I tried to test it another issue came up.

ghost commented Oct 25, 2012

I sent ticket upstream, still waiting for all issues to resolve, supposedly it got solved in 7.2 (development branch) but then when I tried to test it another issue came up.

@2bits

This comment has been minimized.

Show comment Hide comment
@2bits

2bits Oct 25, 2012

Contributor

This is one that can depend on the new boost149 formula adamv is finishing up.

Contributor

2bits commented Oct 25, 2012

This is one that can depend on the new boost149 formula adamv is finishing up.

@adamv

This comment has been minimized.

Show comment Hide comment
@adamv

adamv Oct 25, 2012

Contributor

See #15299

Contributor

adamv commented Oct 25, 2012

See #15299

@adamv

This comment has been minimized.

Show comment Hide comment
@adamv

adamv Oct 26, 2012

Contributor

We can configure it --disable-boost; ought we?

Contributor

adamv commented Oct 26, 2012

We can configure it --disable-boost; ought we?

@adamv

This comment has been minimized.

Show comment Hide comment
@adamv

adamv Oct 26, 2012

Contributor

Lol, that switch didn't do anything.

Contributor

adamv commented Oct 26, 2012

Lol, that switch didn't do anything.

This comment has been minimized.

Show comment Hide comment
@ghost

ghost Nov 10, 2012

back porting to 7.1 would be painful.

boost > 1.49.0 apparently will have to wait for drizzle 7.2

ghost commented Nov 10, 2012

back porting to 7.1 would be painful.

boost > 1.49.0 apparently will have to wait for drizzle 7.2

@ghost ghost closed this Nov 10, 2012

@xu-cheng xu-cheng locked and limited conversation to collaborators Feb 16, 2016

This issue was closed.

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.